﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Rensyu2
{
    public partial class index : System.Web.UI.Page
    {
        private const int PRICE = 500;

        protected void Page_Load(object sender, EventArgs e)
        {
            //ポストバックのときは処理をしない
            if (this.IsPostBack)
            {
                return;
            }

            //商品情報を登録
            this.dlProduct.Items.Add(new ListItem("鉛筆", "60"));   
            this.dlProduct.Items.Add(new ListItem("ボールペン", "120"));
            this.dlProduct.Items.Add(new ListItem("消しゴム", "80"));
            this.dlProduct.Items.Add(new ListItem("定規", "150"));
   
            //数量情報を登録
            this.dlQuantity.Items.Add("1");
            this.dlQuantity.Items.Add("2");
            this.dlQuantity.Items.Add("3");
            this.dlQuantity.Items.Add("5");
            this.dlQuantity.Items.Add("10");
        }

        protected void btnRegist_Click(object sender, EventArgs e)
        {
            //選択商品の金額を取得
            int price = int.Parse(dlProduct.SelectedValue);

            //個数を取得
            int quantity = int.Parse(dlQuantity.SelectedValue);

            //金額を計算
            int sum = price * quantity;

            //金額を表示
            this.lblPrice.Text = sum + "円";

            //送料の表示
            if (sum >= PRICE) 
            {
                this.lblPostage.Text = "送料は無料です。";
            }
            else
            {
                this.lblPostage.Text = "送料は別途かかります。";
            }
        }
    }
}